[rspec-users] [ANN] RSpec-1.1.3

David Chelimsky dchelimsky at gmail.com
Fri Feb 1 00:00:32 EST 2008


On Jan 31, 2008 10:48 PM, Nikolay Pavlov <qpadla at gmail.com> wrote:
>
> On Thursday 31 January 2008 14:42:55 David Chelimsky wrote:
> > RSpec-1.1.3 has been released.
> >
> > If you're using RSpec and autotest, you'll have to upgrade to
> > RSpec-1.1.3 and ZenTest-3.9.0 at the same time.
> >
> > == Version 1.1.3
> >
> > Maintenance release.
> >
> > * Tightened up exceptions list in autotest/rails_spec. Closes #264.
> > * Applied patch from Ryan Davis for ZenTest-3.9.0 compatibility
> > * Applied patch from Kero to add step_upcoming to story listeners.
> > Closes #253. * Fixed bug where the wrong named error was not always
> > caught by "should raise_error"
> > * Applied patch from Luis Lavena: No coloured output on Windows due
> > missing RUBYOPT. Closes #244.
> > * Applied patch from Craig Demyanovich to add support for "should_not
> > render_template" to rspec_on_rails. Closes #241.
> > * Added --pattern (-p for short) option to control what files get
> > loaded. Defaults to '**/*_spec.rb'
> > * Exit with non-0 exit code if examples *or tests* (in test/unit
> > interop mode) fail. Closes #203.
> > * Moved at_exit hook to a method in Spec::Runner which only runs if
> > specs get loaded. Closes #242.
> > * Applied patch from kakutani ensuring that base_view_path gets
> > cleared after each view example. Closes #235.
> > * More tweaks to regexp step names
> > * Fixed focused specs in nested ExampleGroups. Closes #225.
>
> Hello all, hello David.
> I am not sure were to go with this, but after upgrading to RSpec-1.1.3 and
> ZenTest-3.9.0 i am observing memory leaks in autotest process:

http://blog.zenspider.com/archives/2008/01/zentest_version_391_has_been_released.html

> 32001 quetzal   18   0 97472  93m 1464 S   25  9.2   1:43.28 autotest
> After 5 minutes:
> 32001 quetzal   18   0  102m 100m 1464 S   13  9.9   2:07.35 autotest
> A few minutes later:
> 32001 quetzal   18   0  112m 110m 1464 R   29 11.0   2:40.67 autotest
> And so on...
>
> There are only two requirements in my .autotest file:
>  require 'autotest/redgreen'
>  require 'autotest/timestamp'
>
> Could some one confirm this behavior?
>
> --
> ======================================================================
> - Best regards, Nikolay Pavlov. <<<-----------------------------------
> ======================================================================
>
>


More information about the rspec-users mailing list